using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelContracts.BusinessLogicsContracts
{
    public interface IConferenceBookingLogic
    {
        List<ConferenceBookingViewModel>? ReadList(ConferenceBookingSearchModel? model);
        MealPlanViewModel? ReadElement(MealPlanSearchModel model);
        bool Create(ConferenceBookingBindingModel model);
        bool Update(ConferenceBookingBindingModel model);
        bool Delete(ConferenceBookingBindingModel model);
    }
}
